> For the complete documentation index, see [llms.txt](https://docs.megaton.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.megaton.fi/developers/contract/mega.md).

# MEGA

The MEGA smart contract is Megaton Finance's governance token that complies with the Jetton standard.

## Code

Github Link: (TBD)

## Address

* Mainnet: (to be updated after official launch)

## Read-Only Functions

{% tabs %}
{% tab title="MEGA Minter" %}
**get\_jetton\_data**

```
(int, int, slice, cell, cell) get_jetton_data() method_id
```

* int totalSupply
* int mintable
* slice admin\_address
* cell mega\_content
* cell mega\_wallet\_code

**get\_jetton\_extra\_data**

```
(slice) get_jetton_extra_data() method_id
```

* slice minter\_address

**get\_wallet\_address**

```
slice get_wallet_address(slice owner_address) method_id
```

* slice user\_wallet\_address
  {% endtab %}

{% tab title="MEGA Wallet" %}
**get\_wallet\_data**

```
(int, slice, slice, cell) get_wallet_data() method_id
```

* int balance
* slice owner
* slice mega\_minter\_address
* cell mega\_wallet\_code
  {% endtab %}
  {% endtabs %}

## Reference

* Jettons standard description: [TEP74](https://github.com/ton-blockchain/TEPs/blob/master/text/0074-jettons-standard.md) & [TEP89](https://github.com/ton-blockchain/TEPs/blob/master/text/0089-jetton-wallet-discovery.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.megaton.fi/developers/contract/mega.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
